Bug 4823 - Logon Workstations and Logon Hours not being set and honoured
Logon Workstations and Logon Hours not being set and honoured
Product: Samba 4.0
Classification: Unclassified
Component: Other
Other All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
Depends on:
  Show dependency treegraph
Reported: 2007-07-26 14:06 UTC by Matthias Dieter Wallnöfer
Modified: 2007-07-30 20:08 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-07-26 14:06:40 UTC
On my next (more detailed) tests I discovered, that the two in the summary mentioned features aren't working until now. I've also discovered when I set the option "User May Log On To All Workstations" and click on "OK" twice (in the dialog "Logon Workstations" and then in the user properties dialog) and I had the option "User May Log On To These Workstations" set, then the change isn't applied. Found in the NT User Manager for Domains.
Comment 1 Andrew Bartlett 2007-07-26 21:11:33 UTC
Thanks for splitting this out into a seperate bug, but in this case, it's the same thing!

Underneath, the list of permitted machines is actually a single string, and setting 'may log into any' is the same as setting "", so it's been fixed with the rest of 4822.

*** This bug has been marked as a duplicate of 4822 ***
Comment 2 Andrew Bartlett 2007-07-27 01:32:41 UTC
BTW, -r 24061 adds checking of the 'logon hours' for a user. 
Comment 3 Matthias Dieter Wallnöfer 2007-07-27 10:25:18 UTC
I would leave the bug open, because the feature "Logon workstations" isn't implemented yet (I think, it's also only a merge from SAMBA 3 where it works). After that, I would close it definitely.
Comment 4 Andrew Bartlett 2007-07-30 03:59:16 UTC
Finally fixed in -r 24074.  The code was there, but without a testsuite, it was simply fantasy.....
Comment 5 Matthias Dieter Wallnöfer 2007-07-30 04:08:12 UTC
So I think, it would be save to mark it as "fixed".